from opa_tools.benchmarking import (
    create_benchmarking_path,
    get_environ_df as get_benchmark_environ_df,
    get_request_df as get_benchmark_request_df,
    get_prof_time as get_benchmark_prof_time,
    add as benchmark_add,
    plot as benchmark_plot,
    setup as benchmark_setup,
)
from opa_tools.data import (
    read_dataset,
    read_yaml,
)
from opa_tools.request import (
    create_template as create_generating_request_template,
    generate_requests,
    get_request,
    get_request_df,
    get_request_identifiers,
    product as request_product,
    wrap as request_wrap,
)

import warnings


def _custom_warning_format(msg, *args, **kwargs):
    return str(msg) + "\n"


warnings.formatwarning = _custom_warning_format

__all__ = [
    "benchmark_add",
    "benchmark_plot",
    "benchmark_setup",
    "create_generating_request_template",
    "generate_requests",
    "get_benchmark_request_df",
    "get_benchmark_environ_df",
    "get_benchmark_prof_time",
    "get_request",
    "get_request_df",
    "get_request_identifiers",
    "create_benchmarking_path",
    "read_dataset",
    "read_yaml",
    "request_product",
    "request_wrap",
]
