import json
from pathlib import Path
import pytest

import opa_tools.utils

@pytest.fixture(scope="module")
def monkeysession():
    with pytest.MonkeyPatch.context() as mp:
        yield mp

def _mock_environment_path(tmpdir_factory, monkeysession, testfile):
    tmpdir = tmpdir_factory.mktemp("data")
    with open(testfile, "r") as rf:
        json_requests = json.load(rf)
    for relpath, request in json_requests.items():
        Path(tmpdir / relpath).parent.mkdir(parents=True, exist_ok=True)
        with open(tmpdir / relpath, "w") as wf:
            wf.write(request)
    def mock_get_env_directory(self, environ_var: str) -> Path:
        return Path(tmpdir)
    monkeysession.setattr(opa_tools.utils.EnvironPath, "_get_env_directory", mock_get_env_directory)
    return Path(tmpdir)

@pytest.fixture(scope="module")
def request_dir(tmpdir_factory, monkeysession):
    return _mock_environment_path(
        tmpdir_factory,
        monkeysession,
        "requests_testdata.json"
    )

@pytest.fixture(scope="module")
def benchmark_dir(tmpdir_factory, monkeysession):
    return _mock_environment_path(
        tmpdir_factory,
        monkeysession,
        "benchmarks_testdata.json"
    )

